> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/kyc/query-kyc-status.md).

# Query KYC status

Returns the current status of a KYC.

**Endpoint:** `GET /kyc/status/{kycExternalUserId}/{sort}`

Path Parameters:

* `kycExternalUserId`  - Your unique final user ID
* `sort`  - KYS sort you are making KYC for

**Endpoint:** `GET /kyc/status-by-uuid/{uuid}`&#x20;

Path Parameters:

* `uuid`  - UUID of KYC&#x20;

#### Response <a href="#response-1" id="response-1"></a>

If the request is successful, the API returns a JSON object containing the KYC status.

```json
{
  "kycExternalUserId": "your unique user id",
  "status": "DECLINED",
  "reason": "photo is dirty",
  "uuid": "uuid-of-kyc"
}
```

#### Response Fields

| Field               | Type             | Description                                   |
| ------------------- | ---------------- | --------------------------------------------- |
| `kycExternalUserId` | String           | Your unique final user id                     |
| `status`            | String           | Status of KYC(see KYC Status Reference below) |
| `reason`            | String(optional) | Explanation of Status of KYC                  |
| `uuid`              | String           | UUID of KYC                                   |

**KYC Status Reference**

| Status         | Description                    |
| -------------- | ------------------------------ |
| `NEW`          | KYC created                    |
| `COMPLETED`    | 📝 User has completed the form |
| `UNDER_REVIEW` | 🔍 KYC is under review         |
| `APPROVED`     | ✅ KYC verified — ready to use! |
| `DECLINED`     | ❌ KYC was declined             |
| `EXPIRED`      | ⏰ KYC has expired              |
